Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1896761 - anaconda-34.9-1.fc34 broke IoT installs
Summary: anaconda-34.9-1.fc34 broke IoT installs
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Vendula Poncova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: IoT
TreeView+ depends on / blocked
 
Reported: 2020-11-11 13:48 UTC by Peter Robinson
Modified: 2020-11-15 10:08 UTC (History)
7 users (show)

Fixed In Version: anaconda-34.13-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-15 10:08:39 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
Screenshot for the ostree install phase for anaconda (deleted)
2020-11-11 13:48 UTC, Peter Robinson
no flags Details

Description Peter Robinson 2020-11-11 13:48:39 UTC
Created attachment 1728327 [details]
Screenshot for the ostree install phase for anaconda

The IoT compose creates installers which then are used to create raw images using imagefactory, the component started failing on 20201015 and looking at the rawhide compose report from then anaconda-34.9-1.fc34 landed in that compose. Attached in the image from the image build failure with the anaconda screen. 

koji task for the last compose: https://koji.fedoraproject.org/koji/taskinfo?taskID=55233537

It says there's issues setting up the source and there's an issue with the software selection. This is strange as it's an ostree repo.

Comment 1 Vendula Poncova 2020-11-11 18:40:06 UTC
From koji-f34-build-55233552-base.ks:

# OSTree setup
ostreesetup --osname="fedora-iot" --remote="fedora-iot" --url="https://kojipkgs.fedoraproject.org/compose/iot/repo/" --ref="fedora/rawhide/${basearch}/iot" --nogpg
# Reboot after installation
reboot
# Use text mode install
text
# Network information
network  --bootproto=dhcp --device=link --activate
repo --name="koji-override-0" --baseurl=https://kojipkgs.fedoraproject.org/compose/iot/Fedora-IoT-34-20201109.0/compose/IoT/x86_64/os
# Use network installation
url --url="https://kojipkgs.fedoraproject.org/compose/rawhide/latest-Fedora-Rawhide/compose/Everything/x86_64/os/"
# System timezone
timezone Etc/UTC --utc
# SELinux configuration
selinux --enforcing

The kickstart file defines ostreesetup and url. 

From oz-x86_64.log:

12:32:50,166 WARNING org.fedoraproject.Anaconda.Modules.Payloads:DEBUG:anaconda.modules.common.base.base:Reading kickstart...
12:32:50,234 WARNING org.fedoraproject.Anaconda.Modules.Payloads:DEBUG:anaconda.modules.payloads.payloads:Created the payload PayloadType.DNF.

Anaconda creates the DNF payload, because url has a higher priority then ostreesetup.

I will fix the priority of the ostreesetup command, but I don't recommend to define multiple the installation methods in a kickstart file.

Comment 2 Vendula Poncova 2020-11-11 18:55:31 UTC
Fixed in a pull request: https://github.com/rhinstaller/anaconda/pull/2990

Comment 3 Peter Robinson 2020-11-12 09:04:58 UTC
> I will fix the priority of the ostreesetup command, but I don't recommend to
> define multiple the installation methods in a kickstart file.

We don't have them, I suspect koji/pungi is adding them for some reason:
https://pagure.io/fedora-kickstarts/blob/master/f/fedora-iot.ks

Comment 4 Peter Robinson 2020-11-15 10:08:39 UTC
That fixed it, thanks


Note You need to log in before you can comment on or make changes to this bug.